# * About

# This makefile is intended to be used as ...

# Example file @

#   gitlab.com/csantosb/eda-common/ghdl/local.mk

# * User variables

# ** Sources

# Array of directories with rtl sources
PRJ_SRC_DIR := {sim/runs/averager.ghdl/hdl,src}

PRJ_SRC_FILES =

NO_PRJ_SRC_DIR =

NO_PRJ_SRC_FILES =

# ** Ghdl

# Lenght of simulation
GHDL_SIM_TIME = 950us

# Topmost level module name
GHDL_TOPLEVEL = averager_tb

# Vivado, ISE
GHDL_XILINX_TOOL = Vivado

# 08, 93c
GHDL_STD = 08

 # synopsys, standard
GHDL_IEEE = standard

# Ghdl sim flags
GHDL_RUNFLAGS = --ieee-asserts=enable

# ** Cocotb

# Python test file
# MODULE := p1_counter_tb

# * Include global makefile

# Where to find the global makefile

# gitlab.com/csantosb/eda-common/
EDA_COMMON_DIR = $(HOME)/Projects/perso/eda-common
$(info "info: EDA_COMMON_DIR=$(EDA_COMMON_DIR)") $(info )

-include $(EDA_COMMON_DIR)/common/Makefile.edacommon.generic

# Select one of

-include $(EDA_COMMON_DIR)/ghdl/Makefile.edacommon.ghdl
